Name:           sf-backgrounds
Version:        0.0.3
Release:        4%{?dist}
Summary:        Custom wallpapers
BuildArch:      noarch

License:        GPL
Source0:        %{name}-%{version}.tar.gz

Requires:		spherical-cow-backgrounds-single
Requires:		spherical-cow-backgrounds-gnome

%description
Custom wallpapers for my machines.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/share/backgrounds/%{name}
mkdir -p $RPM_BUILD_ROOT/usr/share/backgrounds/%{name}/aqua
mkdir -p $RPM_BUILD_ROOT/usr/share/backgrounds/%{name}/wavey
mkdir -p $RPM_BUILD_ROOT/usr/share/backgrounds/%{name}/wavey/aqua
mkdir -p $RPM_BUILD_ROOT/usr/share/backgrounds/%{name}/wavey/moon
mkdir -p $RPM_BUILD_ROOT/usr/share/backgrounds/%{name}/wavey/rainbow
mkdir -p $RPM_BUILD_ROOT/usr/share/backgrounds/%{name}/wavey/shadow
mkdir -p $RPM_BUILD_ROOT/usr/share/gnome-background-properties/

cp aqua/light.jpg $RPM_BUILD_ROOT/usr/share/backgrounds/%{name}/aqua/light.jpg
cp aqua/dark.jpg $RPM_BUILD_ROOT/usr/share/backgrounds/%{name}/aqua/dark.jpg

cp wavey/aqua/light.jpg $RPM_BUILD_ROOT/usr/share/backgrounds/%{name}/wavey/aqua/light.jpg
cp wavey/aqua/dark.jpg $RPM_BUILD_ROOT/usr/share/backgrounds/%{name}/wavey/aqua/dark.jpg

cp wavey/moon/light.jpg $RPM_BUILD_ROOT/usr/share/backgrounds/%{name}/wavey/moon/light.jpg
cp wavey/moon/dark.jpg $RPM_BUILD_ROOT/usr/share/backgrounds/%{name}/wavey/moon/dark.jpg

cp wavey/rainbow/light.jpg $RPM_BUILD_ROOT/usr/share/backgrounds/%{name}/wavey/rainbow/light.jpg
cp wavey/rainbow/dark.jpg $RPM_BUILD_ROOT/usr/share/backgrounds/%{name}/wavey/rainbow/dark.jpg

cp wavey/shadow/light.jpg $RPM_BUILD_ROOT/usr/share/backgrounds/%{name}/wavey/shadow/light.jpg
cp wavey/shadow/dark.jpg $RPM_BUILD_ROOT/usr/share/backgrounds/%{name}/wavey/shadow/dark.jpg

cat <<"EOF" > $RPM_BUILD_ROOT/usr/share/gnome-background-properties/%{name}.xml
<?xml version="1.0"?>
<!DOCTYPE wallpapers SYSTEM "gnome-wp-list.dtd">
<wallpapers>
	<wallpaper deleted="false">
		<name>SF Aqua</name>
		<filename>/usr/share/backgrounds/%{name}/aqua/light.jpg</filename>
		<filename-dark>/usr/share/backgrounds/%{name}/aqua/dark.jpg</filename-dark>
		<options>zoom</options>
		<shade_type>solid</shade_type>
		<pcolor>#000000</pcolor>
		<scolor>#000000</scolor>
	</wallpaper>
	
	<wallpaper deleted="false">
		<name>SF Wavey Aqua</name>
		<filename>/usr/share/backgrounds/%{name}/wavey/aqua/light.jpg</filename>
		<filename-dark>/usr/share/backgrounds/%{name}/wavey/aqua/dark.jpg</filename-dark>
		<options>zoom</options>
		<shade_type>solid</shade_type>
		<pcolor>#000000</pcolor>
		<scolor>#000000</scolor>
	</wallpaper>
	
	<wallpaper deleted="false">
		<name>SF Wavey Moon</name>
		<filename>/usr/share/backgrounds/%{name}/wavey/moon/light.jpg</filename>
		<filename-dark>/usr/share/backgrounds/%{name}/wavey/moon/dark.jpg</filename-dark>
		<options>zoom</options>
		<shade_type>solid</shade_type>
		<pcolor>#000000</pcolor>
		<scolor>#000000</scolor>
	</wallpaper>
	
	<wallpaper deleted="false">
		<name>SF Wavey Rainbow</name>
		<filename>/usr/share/backgrounds/%{name}/wavey/rainbow/light.jpg</filename>
		<filename-dark>/usr/share/backgrounds/%{name}/wavey/rainbow/dark.jpg</filename-dark>
		<options>zoom</options>
		<shade_type>solid</shade_type>
		<pcolor>#000000</pcolor>
		<scolor>#000000</scolor>
	</wallpaper>
	
	<wallpaper deleted="false">
		<name>SF Wavey Shadow</name>
		<filename>/usr/share/backgrounds/%{name}/wavey/shadow/light.jpg</filename>
		<filename-dark>/usr/share/backgrounds/%{name}/wavey/shadow/dark.jpg</filename-dark>
		<options>zoom</options>
		<shade_type>solid</shade_type>
		<pcolor>#000000</pcolor>
		<scolor>#000000</scolor>
	</wallpaper>
</wallpapers>
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/share/backgrounds/%{name}
/usr/share/backgrounds/%{name}/aqua/light.jpg
/usr/share/backgrounds/%{name}/aqua/dark.jpg
/usr/share/backgrounds/%{name}/wavey/aqua/light.jpg
/usr/share/backgrounds/%{name}/wavey/aqua/dark.jpg
/usr/share/backgrounds/%{name}/wavey/moon/light.jpg
/usr/share/backgrounds/%{name}/wavey/moon/dark.jpg
/usr/share/backgrounds/%{name}/wavey/rainbow/light.jpg
/usr/share/backgrounds/%{name}/wavey/rainbow/dark.jpg
/usr/share/backgrounds/%{name}/wavey/shadow/light.jpg
/usr/share/backgrounds/%{name}/wavey/shadow/dark.jpg
/usr/share/gnome-background-properties/%{name}.xml

%changelog
* Sun May 14 2023 Sebastiaan
- Renamed package.

* Mon May 08 2023 Sebastiaan
- Added more wallpapers.
- Fixed typo in code.
- Added requirement for spherical-cow-backgrounds-single

* Sun May 07 2023 Sebastiaan
- Fixed typo in the gnome backgrounds xml file.

* Sun May 07 2023 Sebastiaan
- Second version being packaged with different pictures.

* Tue Feb 28 2023 Sebastiaan
- First version being packaged.
